package com.xjrsoft.module.organization.service.impl;

import com.xjrsoft.module.organization.service.DingtalkService;
import com.xjrsoft.module.organization.service.IDepartmentService;
import com.xjrsoft.module.organization.service.IUserService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

@Service
@AllArgsConstructor
public class DingtalkServiceImpl implements DingtalkService {



    private final IUserService userService;
    private final IDepartmentService departmentService;


    @Override
    public boolean updateInfo() throws Exception {
        this.getdept(1L);
        return this.update();
    }

    private boolean update() throws Exception {

        return true;
    }

    private void getdept(Long deptId) throws Exception {

    }
}
